#include <bits/stdc++.h>

using namespace std;

int main()
{
    char c1, c2;
    int a1, a2;
    string str;
    cin >> str;
    cin >> a1 >> a2;
    c1 = str[0];
    c2 = str[1];
    if (abs(a1 - a2) > 1){
        cout << "nemoguce";
    }
    else{
        if (a2 > a1){
            swap(c1, c2);
            swap(a1, a2);
        }
        if (a1 != a2)
            cout << c1;
        for (int i = 0; i < a2; i++)
            cout << c2 << c1;
    }
	return 0;
}